System Requirements

Browser Compatibility

Please refer to the list of supported browsers on the Blackboard Help site .

Java

A handful of features in Blackboard Learn require Java to be installed. Without this, the features themselves do not function.

JRE versions 7 and 8 are the recommended versions for features that depend on it. JRE version 6 may work, but could result in unexpected behavior. Oracle has acknowledged some security issues with JRE version 6.

Non-UWE computers can be upgraded to the lastest version of Java by going to the Java website for PCs or the Apple website for Apple Macs.

Plug-ins and Downloads

Visit our Plug-ins and Downloads page for links to freely downloadable versions of software.

Non UWE equipment

Please see the UWE Policy for support of non-UWE Equipment, home PCs or networks.

Back to top